APIs / AutoTrader UK / Facets
AutoTrader UK: Facets
Facets from AutoTrader UK as JSON. 1 credit per successful call.
GET /v1/autotrader-uk/facets
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
postcode | string | Required | Up to 8 characters |
price_search_type | string | Optional | total, monthly |
facets[] | list of string | Optional | acceleration_values, aggregated_trim, annual_tax_values, battery_charge_time_values, battery_quick_charge_time_values, battery_range_values, body_type, boot_size_values, category_tag, co2_emission_values, colour, distance, doors_values, drivetrain, engine_power, engine_size, finance, fuel_consumption_values, fuel_type, insurance_group, is_manufacturer_approved, is_writeoff, keywords, lat_long, lease_in_stock, lease_product_type, leasing, make, mileage, monthly_price, ni_only, part_exchange_available, postcode, price, price_search_type, seats_values, seller_type, style, sub_style, transmission, ulez_compliant, with_digital_retailing, with_manufacturer_rrp_saving, year_manufactured, model |
make | string | Optional | Up to 100 characters |
model | string | Optional | Up to 100 characters |
sort | string | Optional | relevance, price_asc, price_desc, distance, mileage, year_dsc, year_asc, most_recent |
Example request
curl "https://api.perceptlayer.com/v1/autotrader-uk/facets?postcode=SW1A1AA&price_search_type=total" \
-H "X-API-Key: $API_KEY"